Manifest-Version: 1.0
Bnd-LastModified: 1727692626240
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal Background Task Service
Bundle-SymbolicName: com.liferay.portal.background.task.service
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 6.0.38.hotfix-9257-7310
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.portal.kernel.backgroundtask.display;versi
 on="[2.0.0,9999.0.0)",com.liferay.background.task.kernel.util.compara
 tor;version="1.1",com.liferay.counter.kernel.service;version="2.1",co
 m.liferay.expando.kernel.model;version="3.3",com.liferay.expando.kern
 el.util;version="2.0",com.liferay.osgi.service.tracker.collections.ma
 p;version="2.2",com.liferay.petra.function;version="1.5",com.liferay.
 petra.lang;version="1.4",com.liferay.petra.sql.dsl;version="1.0",com.
 liferay.petra.sql.dsl.query;version="1.0",com.liferay.petra.string;ve
 rsion="1.5",com.liferay.portal.aop;version="1.0",com.liferay.portal.b
 ackground.task.exception;version="1.0",com.liferay.portal.background.
 task.model;version="2.1",com.liferay.portal.background.task.service;v
 ersion="1.7",com.liferay.portal.background.task.service.persistence;v
 ersion="3.1",com.liferay.portal.dao.orm.custom.sql;version="1.1",com.
 liferay.portal.kernel.backgroundtask;version="8.1",com.liferay.portal
 .kernel.backgroundtask.constants;version="1.0",com.liferay.portal.ker
 nel.bean;version="8.0",com.liferay.portal.kernel.cluster;version="8.0
 ",com.liferay.portal.kernel.concurrent;version="8.0",com.liferay.port
 al.kernel.configuration;version="6.3",com.liferay.portal.kernel.dao.d
 b;version="7.10",com.liferay.portal.kernel.dao.jdbc;version="8.0",com
 .liferay.portal.kernel.dao.orm;version="9.8",com.liferay.portal.kerne
 l.exception;version="9.7",com.liferay.portal.kernel.json;version="8.1
 1",com.liferay.portal.kernel.lock;version="7.3",com.liferay.portal.ke
 rnel.log;version="7.0",com.liferay.portal.kernel.messaging;version="9
 .1",com.liferay.portal.kernel.model;version="5.6",com.liferay.portal.
 kernel.model.impl;version="3.4",com.liferay.portal.kernel.module.fram
 ework.service;version="1.0",com.liferay.portal.kernel.portletfilerepo
 sitory;version="2.0",com.liferay.portal.kernel.repository.model;versi
 on="8.0",com.liferay.portal.kernel.search;version="9.7",com.liferay.p
 ortal.kernel.security.auth;version="2.7",com.liferay.portal.kernel.se
 curity.permission;version="3.5",com.liferay.portal.kernel.security.pe
 rmission.resource;version="1.1",com.liferay.portal.kernel.service;ver
 sion="4.20",com.liferay.portal.kernel.service.http;version="1.0",com.
 liferay.portal.kernel.service.persistence;version="6.10",com.liferay.
 portal.kernel.service.persistence.impl;version="3.2",com.liferay.port
 al.kernel.servlet;version="8.5",com.liferay.portal.kernel.transaction
 ;version="8.1",com.liferay.portal.kernel.upgrade;version="8.8",com.li
 feray.portal.kernel.util;version="10.38",com.liferay.portal.upgrade.r
 egistry;version="3.1",com.liferay.portal.upgrade.v7_0_0;version="3.3"
 ,com.liferay.portal.util;version="4.27",javax.sql,org.osgi.framework;
 version="1.8"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Portal Background Task
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, NTLM 
 Authentication, OpenID Authentication, OpenSSO Authentication, Remote
  Authentication (AuthVerifiers), SSO-based Authentication, Token-base
 d Authentication, Portal Scripting, Elasticsearch Support, Solr Suppo
 rt, Documents and Media Store Implementations, and more.<br /><br />T
 he Foundation suite provides applications and features that extend th
 e functionality provided by Liferay's core. Much of the functionality
  that belonged to Liferay's core prior to Liferay 7 has been extracte
 d into the modules of the Foundation suite. The authentication module
 s provide a variety of mechanisms for allowing users and remote appli
 cations to authenticate to Liferay. The LDAP Authentication module al
 lows administrators to establish connections to one or more LDAP dire
 ctories from which users can be imported or exported. The SSO modules
  allow users to authenticate to Liferay using a variety of single-sig
 n on solutions. The Token-based Authentication module allows users or
  remote applications to authenticate to Liferay without a password. T
 he Scripting modules allow scripts to be written to invoke Liferay's 
 API in several languages including Groovy, BeanShell, Python, Ruby, a
 nd JavaScript.<br /><br />This suite is available in the Liferay bund
 le.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Liferay-Require-SchemaVersion: 2.0.0
Liferay-Service: true
Private-Package: com.liferay.portal.background.task.internal,com.lifer
 ay.portal.background.task.internal.comparator,com.liferay.portal.back
 ground.task.internal.display,com.liferay.portal.background.task.inter
 nal.lock,com.liferay.portal.background.task.internal.messaging,com.li
 feray.portal.background.task.internal.security.permission.resource,co
 m.liferay.portal.background.task.internal.upgrade,com.liferay.portal.
 background.task.internal.upgrade.v1_0_0,com.liferay.portal.background
 .task.internal.upgrade.v1_0_0.dependencies,com.liferay.portal.backgro
 und.task.internal.upgrade.v1_0_0.util,com.liferay.portal.background.t
 ask.internal.upgrade.v2_0_0.util,com.liferay.portal.background.task.m
 odel.impl,com.liferay.portal.background.task.service.base,com.liferay
 .portal.background.task.service.http,com.liferay.portal.background.ta
 sk.service.impl,com.liferay.portal.background.task.service.persistenc
 e.impl,com.liferay.portal.background.task.service.persistence.impl.co
 nstants,custom-sql
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .portal.aop.AopService";uses:="com.liferay.portal.aop",osgi.service;o
 bjectClass:List<String>="com.liferay.portal.background.task.internal.
 BackgroundTaskMessagingConfigurator";uses:="com.liferay.portal.backgr
 ound.task.internal",osgi.service;objectClass:List<String>="com.lifera
 y.portal.background.task.service.persistence.BackgroundTaskFinder";us
 es:="com.liferay.portal.background.task.service.persistence",osgi.ser
 vice;objectClass:List<String>="com.liferay.portal.background.task.ser
 vice.persistence.BackgroundTaskPersistence";uses:="com.liferay.portal
 .background.task.service.persistence",osgi.service;objectClass:List<S
 tring>="com.liferay.portal.kernel.backgroundtask.BackgroundTaskExecut
 orRegistry";uses:="com.liferay.portal.kernel.backgroundtask",osgi.ser
 vice;objectClass:List<String>="com.liferay.portal.kernel.backgroundta
 sk.BackgroundTaskManager";uses:="com.liferay.portal.kernel.background
 task",osgi.service;objectClass:List<String>="com.liferay.portal.kerne
 l.backgroundtask.BackgroundTaskStatusMessageSender";uses:="com.lifera
 y.portal.kernel.backgroundtask",osgi.service;objectClass:List<String>
 ="com.liferay.portal.kernel.backgroundtask.BackgroundTaskStatusRegist
 ry";uses:="com.liferay.portal.kernel.backgroundtask",osgi.service;obj
 ectClass:List<String>="com.liferay.portal.kernel.backgroundtask.Backg
 roundTaskThreadLocalManager";uses:="com.liferay.portal.kernel.backgro
 undtask",osgi.service;objectClass:List<String>="com.liferay.portal.ke
 rnel.backgroundtask.display.BackgroundTaskDisplayFactory";uses:="com.
 liferay.portal.kernel.backgroundtask.display",osgi.service;objectClas
 s:List<String>="com.liferay.portal.kernel.cluster.ClusterMasterTokenT
 ransitionListener";uses:="com.liferay.portal.kernel.cluster",osgi.ser
 vice;objectClass:List<String>="com.liferay.portal.upgrade.registry.Up
 gradeStepRegistrator";uses:="com.liferay.portal.upgrade.registry",osg
 i.service;objectClass:List<String>="com.liferay.portal.background.tas
 k.service.BackgroundTaskLocalService",osgi.service;objectClass:List<S
 tring>="com.liferay.portal.background.task.service.BackgroundTaskServ
 ice"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=osgi.compo
 nent)(version>=1.3.0)(!(version>=2.0.0)))",osgi.service;filter:="(obj
 ectClass=com.liferay.counter.kernel.service.CounterLocalService)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.portal.
 background.task.internal.BackgroundTaskMessagingConfigurator)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.bac
 kground.task.service.BackgroundTaskLocalService)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.portal.background.task.
 service.persistence.BackgroundTaskFinder)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.portal.background.task.service
 .persistence.BackgroundTaskPersistence)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.portal.dao.orm.custom.sql.Custom
 SQL)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portal.kernel.backgroundtask.BackgroundTaskExecutorRegistry)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ke
 rnel.backgroundtask.BackgroundTaskManager)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.portal.kernel.backgroundtask.
 BackgroundTaskStatusRegistry)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.portal.kernel.backgroundtask.BackgroundTas
 kThreadLocalManager)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.portal.kernel.cluster.ClusterMasterExecutor)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ke
 rnel.configuration.Configuration)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.portal.kernel.dao.orm.EntityCache)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.portal
 .kernel.dao.orm.FinderCache)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.portal.kernel.dao.orm.SessionFactory)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.k
 ernel.lock.LockManager)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.portal.kernel.messaging.DestinationFactory)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.portal.
 kernel.messaging.MessageBus)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.portal.kernel.security.permission.Permissio
 nCheckerFactory)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.portal.kernel.service.CompanyLocalService)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.s
 ervice.UserLocalService)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.portal.kernel.service.UserService)";effective:=
 active,osgi.service;filter:="(objectClass=javax.sql.DataSource)";effe
 ctive:=active,osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.portal.background.task.interna
 l.BackgroundTaskClusterMasterTokenTransitionListener.xml,OSGI-INF/com
 .liferay.portal.background.task.internal.BackgroundTaskExecutorRegist
 ryImpl.xml,OSGI-INF/com.liferay.portal.background.task.internal.Backg
 roundTaskManagerImpl.xml,OSGI-INF/com.liferay.portal.background.task.
 internal.BackgroundTaskMessagingConfigurator.xml,OSGI-INF/com.liferay
 .portal.background.task.internal.BackgroundTaskStatusRegistryImpl.xml
 ,OSGI-INF/com.liferay.portal.background.task.internal.BackgroundTaskT
 hreadLocalManagerImpl.xml,OSGI-INF/com.liferay.portal.background.task
 .internal.display.BackgroundTaskDisplayFactoryImpl.xml,OSGI-INF/com.l
 iferay.portal.background.task.internal.messaging.BackgroundTaskStatus
 MessageSenderImpl.xml,OSGI-INF/com.liferay.portal.background.task.int
 ernal.security.permission.resource.BackgroundTaskModelResourcePermiss
 ionRegistrar.xml,OSGI-INF/com.liferay.portal.background.task.internal
 .upgrade.BackgroundTaskServiceUpgrade.xml,OSGI-INF/com.liferay.portal
 .background.task.service.impl.BackgroundTaskLocalServiceImpl.xml,OSGI
 -INF/com.liferay.portal.background.task.service.impl.BackgroundTaskSe
 rviceImpl.xml,OSGI-INF/com.liferay.portal.background.task.service.per
 sistence.impl.BackgroundTaskFinderImpl.xml,OSGI-INF/com.liferay.porta
 l.background.task.service.persistence.impl.BackgroundTaskPersistenceI
 mpl.xml
Tool: Bnd-4.3.0.201909301554

